Name:           uqm-elvish-mod
Version:        1.4.3
Release:        5%{?dist}
Summary:        The Ur-Quan Masters with elvish mod

%define uqm_name uqm

License:        GPLv2+
URL:            http://sc2.sourceforge.net/
Source0:	uqm-0.6.2-source.tgz
Source1:	elvish-crazy-mod-1.4.3-src.tar.gz
Source2:	uqm-0.6.0-content.uqm
Patch0:         %{uqm_name}-optflags.patch
Patch1:         uqm-str.patch
Patch2:         uqm-resload-elvish.patch
Patch3:		uqm-elvish-secwarn.patch
Patch4:		uqm-elvish-typeerr.patch
Patch5:		uqm-elvish-charsign.patch
Patch6:		uqm-elvish-debugaccess.patch
Patch7:		uqm-elvish-decl.patch
Patch8:		uqm-elvish-bool.patch
Patch9:		uqm-elvish-libm.patch

BuildRequires:  SDL-devel >= 1.2.8
BuildRequires:  SDL_image-devel >= 1.2.4
BuildRequires:  ImageMagick
BuildRequires:  libvorbis-devel
BuildRequires:  zlib-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libGLU-devel
BuildRequires:  libmikmod-devel
BuildRequires:  gcc


%description
The Ur-Quan Masters is a port of the classic game Star Control II to
modern systems.  The program code that comprises The Ur-Quan Masters
was derived from code written by Toys for Bob, Inc. for the 3DO
version of Star Control II, with their permission and encouragement.

%global debug_package %{nil}

%prep
%setup -qn uqm-0.6.2/sc2
find -type d -name CVS -exec rm -rf {} ';'
#%patch0 -p0
rm -r src
tar xf %{SOURCE1}
cd src/sc2code
%patch -P 1 -p3 -R
cd ..
%patch -P 2 -p3
%patch -P 3 -p3
%patch -P 4 -p3
%patch -P 5 -p3
%patch -P 6 -p3
%patch -P 7 -p3
%patch -P 8 -p3
cd ..
%patch -P 9 -p2

%build
echo INPUT_install_sharedir_VALUE=%{_datadir} > config.state
sed -i -e 's|@CONTENTDIR@|~/.uqm-elvish-mod|g' -e 's|USERDIR .*$|USERDIR "~/.uqm-elvish-mod"|g' src/config_unix.h.in
sh ./build.sh uqm < /dev/null


%install
install -dm 755 $RPM_BUILD_ROOT/opt/uqm
strip uqm-debug
install -Dpm 755 uqm-debug $RPM_BUILD_ROOT/opt/uqm/uqm-elvish-mod
cp %{SOURCE2} $RPM_BUILD_ROOT/opt/uqm/content-0.6.uqm

%files
%license COPYING
%doc AUTHORS ChangeLog Contributing README
%doc WhatsNew doc/users/manual.txt
/opt/uqm/


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
